importAppleDeviceIdentityList 操作
命名空间:microsoft.graph
重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
尚未记录
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementServiceConfig.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementServiceConfig.ReadWrite.All |
HTTP 请求
POST /deviceManagement/depOnboardingSettings/{depOnboardingSettingId}/importedAppleDeviceIdentities/importAppleDeviceIdentityList
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供参数的 JSON 表示形式。
下表显示了可用于此操作的参数。
| 属性 | 类型 | 说明 |
|---|---|---|
| importedAppleDeviceIdentities | importedAppleDeviceIdentity 集合 | 尚未记录 |
| overwriteImportedDeviceIdentities | Boolean | 尚未记录 |
响应
如果成功,此操作在响应正文中返回 响应代码和 200 OK importedAppleDeviceIdentityResult 集合。
示例
请求
下面是一个请求示例。
POST https://graph.microsoft.com/beta/deviceManagement/depOnboardingSettings/{depOnboardingSettingId}/importedAppleDeviceIdentities/importAppleDeviceIdentityList
Content-type: application/json
Content-length: 782
{
"importedAppleDeviceIdentities": [
{
"@odata.type": "#microsoft.graph.importedAppleDeviceIdentity",
"id": "352e3c2f-3c2f-352e-2f3c-2e352f3c2e35",
"serialNumber": "Serial Number value",
"requestedEnrollmentProfileId": "Requested Enrollment Profile Id value",
"requestedEnrollmentProfileAssignmentDateTime": "2017-01-01T00:02:32.8167841-08:00",
"isSupervised": true,
"discoverySource": "adminImport",
"isDeleted": true,
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"lastContactedDateTime": "2016-12-31T23:58:44.2908994-08:00",
"description": "Description value",
"enrollmentState": "enrolled",
"platform": "ios"
}
],
"overwriteImportedDeviceIdentities": true
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 741
{
"value": [
{
"@odata.type": "#microsoft.graph.importedAppleDeviceIdentityResult",
"id": "557cfb4a-fb4a-557c-4afb-7c554afb7c55",
"serialNumber": "Serial Number value",
"requestedEnrollmentProfileId": "Requested Enrollment Profile Id value",
"requestedEnrollmentProfileAssignmentDateTime": "2017-01-01T00:02:32.8167841-08:00",
"isSupervised": true,
"discoverySource": "adminImport",
"isDeleted": true,
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"lastContactedDateTime": "2016-12-31T23:58:44.2908994-08:00",
"description": "Description value",
"enrollmentState": "enrolled",
"platform": "ios",
"status": true
}
]
}
反馈
提交和查看相关反馈